# Team

Use these endpoints to view and manage details for a Team and its members.

 - [GET /api/v1/team/](https://docs.jiko.io/products/customer-api/reference/team/get_team_api_v1_team__get.md): This endpoint retrieves information about the team, including a list of all team members. It returns a `TeamResponse` object which contains the team ID and a list of `MemberGroup` objects, categorized
 - [GET /api/v1/team/{member_id}/](https://docs.jiko.io/products/customer-api/reference/team/get_team_member_api_v1_team__member_id___get.md): This endpoint retrieves the details of a specific team member, and returns a `TeamMemberResponse` object.
 - [PUT /api/v1/team/{member_id}/](https://docs.jiko.io/products/customer-api/reference/team/edit_team_member_api_v1_team__member_id___put.md): This endpoint allows you to edit a team member's `role` or `status`. The request body takes an `EditTeamMemberRequest` object, and returns the updated `TeamMemberResponse` object.
 - [DELETE /api/v1/team/{member_id}/](https://docs.jiko.io/products/customer-api/reference/team/deactivate_team_member_api_v1_team__member_id___delete.md): This endpoint deactivates a team member from a team, and returns the `TeamMemberResponse` object for the deactivated member.
 - [POST /api/v1/team/invite/](https://docs.jiko.io/products/customer-api/reference/team/invite_team_member_api_v1_team_invite__post.md): This endpoint invites a new member to a team. The request body requires an `InviteMemberRequest` object containing the new member's `first_name`, `last_name`, `email`, `phone_number`, and `role`.
 - [POST /api/v1/team/{member_id}/invite/](https://docs.jiko.io/products/customer-api/reference/team/resend_invite_team_member_api_v1_team__member_id__invite__post.md): This endpoint resends an invitation to a team member, and returns a `200 OK` response upon a successful request.
 - [DELETE /api/v1/team/{member_id}/invite/](https://docs.jiko.io/products/customer-api/reference/team/cancel_invite_team_member_api_v1_team__member_id__invite__delete.md): This endpoint cancels an invitation that has been sent to a team member, and returns a `200 OK` response upon a successful request.
 - [POST /api/v1/team/service-users/](https://docs.jiko.io/products/customer-api/reference/team/create_service_user_api_v1_team_service_users__post.md)
